classification
Title: Drop Mac OS X Tiger support in Python 3.6
Type: Stage: resolved
Components: macOS Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: ned.deily, ronaldoussoren, vstinner, yselivanov
Priority: normal Keywords:

Created on 2016-09-12 10:51 by vstinner, last changed 2018-02-04 10:54 by ronaldoussoren. This issue is now closed.

Messages (6)
msg276019 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-09-12 10:51
Mac OS X Tiger was released in 2004: 12 years ago, 3 years after Windows XP.

The Tiger buildbot has many issues, it uses an old compiler (GCC 4.0) and an old OpenSSL version.

Python 3.6 now requires ISO C99 support, whereas Tiger GCC 4.0 lacks support for C99 "extern inline" functions: issue #28092.

I propose to officially stop supporting Mac OS X Tiger in Python 3.6: modify the PEP 11 and What's New in Python 3.6 to announce the end of the support. Python 3.5 would be the last version supporting Tiger.
msg276444 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-09-14 13:37
The "x86 Tiger 3.6" and "x86 Tiger 3.x" buildbots currently fail to compile Python:

* http://buildbot.python.org/all/builders/x86%20Tiger%203.6
* http://buildbot.python.org/all/builders/x86%20Tiger%203.x
msg277252 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-09-23 08:22
@Ned Deily: Ping?
msg279112 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-10-21 06:42
With the recent changes (fd9a4bd16587) in Issue28092 to make the dtrace stubs static inline, 3.6 once again compiles and links with the Xcode 2.5 gcc4.0 on Mac OS X 10.4.  We can look at this again for 3.7.
msg311179 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-29 22:09
TBH I don't think we need to care about OS X Tiger.  I mean Apple itself doesn't care about it anymore, the last release was 10 years ago.  How about we drop its buildbot?
msg311596 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2018-02-04 10:54
I agree, as long as there are other buildbots for macOS (and there appear to be buildbots for macOS 10.12 and 10.13). 

It would be nice to have buildbots running the OS releases for which installers are build (10.6 and 10.9), but that's a different issue.
History
Date User Action Args
2018-02-04 10:54:27ronaldoussorensetmessages: + msg311596
2018-01-29 22:09:09yselivanovsetnosy: + yselivanov
messages: + msg311179
2016-10-21 06:42:44ned.deilysetstatus: open -> closed
resolution: out of date
messages: + msg279112

stage: resolved
2016-09-23 08:22:22vstinnersetnosy: + ronaldoussoren
messages: + msg277252
components: + macOS
2016-09-15 04:24:42ned.deilysetassignee: ned.deily
2016-09-14 13:37:41vstinnersetmessages: + msg276444
2016-09-12 10:51:41vstinnercreate